FROM debian:buster

RUN apt-get update && apt-get install -y --fix-missing apache2 php php-cli php-xml php-mbstring ffmpeg wget && apt-get autoremove -y && rm -rf /var/lib/apt/lists/*
RUN a2enmod rewrite

RUN rm -r -f /var/www/html/*
RUN chown -R www-data:www-data /var/www/html
  
ENV APACHE_RUN_USER www-data
ENV APACHE_RUN_GROUP www-data
ENV APACHE_LOG_DIR /tmp
ENV APACHE_RUN_DIR .
ENV APACHE_PID_FILE /tmp/apache.pid

COPY index.php /var/www/html/index.php

EXPOSE 80

CMD ["/usr/sbin/apache2", "-D", "FOREGROUND"]